# unique.hh File Reference

Declarations for the type canonicalization tools. More...

Include dependency graph for unique.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | UniqueListBase< T >
| Base class for `uniquelist`. More...
struct | uniquelist< T >
| Simple unique list structure. More...
struct | UniqueMap< T >
| Canonical type map. More...
struct | UniqueMap< T >::TiSlot< U >
| Helper to make `std::type_info` into a valid key type for `std::map`. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.
namespace | vcsn::misc::unique

| The namespace for the instance collection tools.

## Functions

template<typename T >
const T & | get (const T &)
| The canonicalization operator.
template<typename T >
const T * | get (const T *)
| Version of the canonicalization operator for pointers.

## Detailed Description

Declarations for the type canonicalization tools.

Definition in file unique.hh.